# invoiceItem

**Scope required:** standard:read

For a complete list of possible response fields see the [InvoiceItem](/developer/api-reference/types/invoiceitem.md) type.

```graphql
query invoiceItem ($id: ID, $code: String, $format: String) {
  invoiceItem (id: $id, code: $code, format: $format) {
    amount
    chargeType
    comment
    couponId
    currencyId
    discount
    endDate
    id
    invoiceId
    isCoupon
    isCredit
    lineText
    position
    price
    priceDecimals
    prorationRate
    quantity
    startDate
    subtotal
    taxAmount
    taxCode
    taxRate
    vatCode
  }
}
```

## Arguments

| Name   | Type   | Description |
| ------ | ------ | ----------- |
| id     | ID     |             |
| code   | String |             |
| format | String |             |

## Response

* [InvoiceItem](/developer/api-reference/types/invoiceitem.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/invoiceitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
